#ifdef STATISTICS
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/@DIRECTORY/include/Statistics.h"

#include <sstream>
using namespace std;

namespace morpheo                    {
namespace behavioural {
@NAMESPACE_BEGIN

  string Statistics::print_body (uint32_t depth)
  {
    log_printf(FUNC,@COMPONENT,"print_body","Begin");

    string        tab = string(depth,'\t');
    ostringstream msg;

    msg << tab << "";
    
    log_printf(FUNC,@COMPONENT,"print_body","End");

    return msg.str();
  };

@NAMESPACE_END
}; // end namespace behavioural
}; // end namespace morpheo              
#endif
